NotFoundException (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb

## Class NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.neo4j.graphdb.NotFoundException

- All Implemented Interfaces:
    Serializable

      public class NotFoundException
      extends RuntimeException

  This exception will be thrown if a request is made to a node, relationship or property that does not exist. As an example, using `GraphDatabaseService.getNodeById(long)` passing in an id that does not exist will cause this exception to be thrown. `PropertyContainer.getProperty(String)` will also throw this exception if the given key does not exist.

  Another scenario when this exception will be thrown is if one or more transactions keep a reference to a node or relationship that gets deleted in some other transaction. If the deleting transaction commits all other transactions having a reference to the deleted node or relationship will throw this exception when invoking any of the methods on the node or relationship.

  See Also:
    `GraphDatabaseService`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotFoundException()`
    `NotFoundException(String message)`
    `NotFoundException(String message, Throwable cause)`
    `NotFoundException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotFoundException

          public NotFoundException()

    - #### NotFoundException

          public NotFoundException(String message)

    - #### NotFoundException

          public NotFoundException(String message,
                           Throwable cause)

    - #### NotFoundException

          public NotFoundException(Throwable cause)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.